iOS XBMC on iPhone iOS 7.x
#16
compilation from this branch should work with the latest xcode tools and ios 8 sdk:

https://github.com/Memphiz/xbmc/tree/xcode6 (to be merged into mainline soon)
AppleTV4/iPhone/iPod/iPad: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for Kodi: NFS (wiki)
HowTo configure avahi (zeroconf): Avahi_Zeroconf (wiki)
READ THE IOS FAQ!: iOS FAQ (wiki)
Reply
#17
Hello Memphiz,

I tried to run the Xcode6 project from the link you provided for an iPhone 6 Plus on iOS 8.1 beta 2 and couldn't get it to build successfully due to multiple errors returned in Xcode (e.g. Semantic and Parse issue errors).

Please advise if there is something else I can do to fix the errors and get XBMC running successfully in Xcode6.

Thank you.

Regards,

Dave
Reply
#18
Damn i make ios8 sdk work and you come around with ios 8.1 sdk - really? But i think it should even work with this sdk. You need to follow the README here for building which i think you totally did not Wink

https://github.com/Memphiz/xbmc/blob/xco...README.ios
AppleTV4/iPhone/iPod/iPad: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for Kodi: NFS (wiki)
HowTo configure avahi (zeroconf): Avahi_Zeroconf (wiki)
READ THE IOS FAQ!: iOS FAQ (wiki)
Reply
#19
Thank you very much for the quick reply. I did try some of the steps from the readme file and got a build error when trying to using the terminal method. I didn't start off from the beginning so I'll try it again and start off from the beginning and let you know how it works out. Thanks again Memphiz. Wish me luck.
Reply
#20
Hello Again Memphiz,

So I started from the beginning steps in the readme file and here's what happened:

Got to step 3.1 and in terminal I entered " ./configure --host=arm-apple-darwin " and received the following error --
Mac-109xxxxxxx:depends MyName$ ./configure --host=arm-apple-darwin
checking build system type... x86_64-apple-darwin14.0.0
checking host system type... arm-apple-darwin
checking for unzip... yes
checking for zip... yes
checking for curl... /opt/local/bin/curl
checking for tar... /usr/bin/tar
found xcodebuild at /Applications/Xcode.app/Contents/Developer/usr/bin/xcodebuild
configure: error: error in configure of --with-sdk=8.1
Mac-109xxxxxxx:depends MyName$ ./configure --host=arm-apple-darwin --with-sdk=8.1
checking build system type... x86_64-apple-darwin14.0.0
checking host system type... arm-apple-darwin
checking for unzip... yes
checking for zip... yes
checking for curl... /opt/local/bin/curl
checking for tar... /usr/bin/tar
found xcodebuild at /Applications/Xcode.app/Contents/Developer/usr/bin/xcodebuild
configure: error: error in configure of --with-sdk=8.1

Doesn't seem like I can even get past this point. Let me know if you could give me a hand getting past this step. Thanks again in advance.
Reply
#21
Are you sure you are building from my branch? Looks like you are still on master. In the xcode6 branch all 8.* sdk versions are allowed - see:

https://github.com/Memphiz/xbmc/blob/xco...re.in#L262
AppleTV4/iPhone/iPod/iPad: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for Kodi: NFS (wiki)
HowTo configure avahi (zeroconf): Avahi_Zeroconf (wiki)
READ THE IOS FAQ!: iOS FAQ (wiki)
Reply
#22
Sorry to bother you again Memphiz,

I almost got past step 3.1 but I think I found that the configure.in file that I was cloning (via terminal and github for Mac) wasn't including the 8.* in line 262 so I just copied all the text from the file online and saved it to my local copy. I also noticed that 10.10 wasn't included in line 212 on my local copy as well.

In step 3.1 here is the final error I got:

Mac-109xxxxxx:depends MyName$ make
/Applications/Xcode.app/Contents/Developer/usr/bin/make -C native
/Applications/Xcode.app/Contents/Developer/usr/bin/make -C m4-native
cd /Users/Shared/xbmc-depends/tarballs; /opt/local/bin/curl -Ls --create-dirs -f -O http://mirrors.xbmc.org/build-deps/sourc....17.tar.gz
make[2]: *** [/Users/Shared/xbmc-depends/tarballs/m4-1.4.17.tar.gz] Error 7
make[1]: *** [m4-native] Error 2
make: *** [native/.installed-x86_64-darwin14.0.0-native] Error 2

I tried to move to step 4 but got these errors also:

Mac-109xxxxxx:xbmc MyName$ make -C tools/depends/target/xbmc
cd ../../../../; BOOTSTRAP_FROM_DEPENDS=yes ./bootstrap
autoreconf -vif .
autoreconf: Entering directory `.'
autoreconf: configure.in: not using Gettext
autoreconf: running: /Users/Shared/xbmc-depends/buildtools-native/bin/aclocal --output=aclocal.m4t
Can't exec "/Users/Shared/xbmc-depends/buildtools-native/bin/aclocal": No such file or directory at /opt/local/share/autoconf/Autom4te/FileUtils.pm line 326.
autoreconf: failed to run /Users/Shared/xbmc-depends/buildtools-native/bin/aclocal: No such file or directory
make[1]: *** [configure] Error 1
make: *** [../../../..//libxbmc.so] Error 2

Just to give you some further information, here is as much details as I can think of providing:

MacBook Pro Mid-2010
Yosemite 10.10 GM3
Xcode Version 6.1 (6A1042b)
iPhone 6 Plus Model A1522 iOS 8.1 beta 2

Anything else you can think of then please let me know. Thank you again and sorry for the questions, just trying to get my most favourite app working.
Reply
#23
Dude you are doing it completely wrong (you can't just copy over one bit of 1000 and hope it works). You should start over compeletely again and do it right by really using my branch for compilation.

# first remove anything you might have generated during your wrong tries
rm -rf /Users/Shared/xbmc-depends
#clone my repo to subdir xbmc-xcode6
git clone git://github.com/Memphiz/xbmc.git xbmc-xcode6
#checkout the xcode6 branch for having the compatible source tree
cd xbmc-xcode6
git checkout xcode6
git submodule update --init addons/skin.re-touched
#from here on follow the docs/README.ios from point 3.0 but keep in mind that your code is now in the directory xbmc-xcode6 (instead of XBMC which is used in the readme).

This is how far as i can go to spoon feed you. If you don't get it working with this instructions you are not up to the task imo.
AppleTV4/iPhone/iPod/iPad: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for Kodi: NFS (wiki)
HowTo configure avahi (zeroconf): Avahi_Zeroconf (wiki)
READ THE IOS FAQ!: iOS FAQ (wiki)
Reply
#24
Well I was able to build it through terminal but ended up getting the following:

ld: symbol(s) not found for architecture armv7
clang: error: linker command failed with exit code 1 (use -v to see invocation)
Showing first 200 notices only

** BUILD FAILED **


The following build commands failed:
Ld /tmp/XBMC.dst/Users/MyName/Library/Bundles/XBMC.app/XBMC.bin normal armv7
(1 failure)


I would really appreciate any help. Thanks again in advance.
Reply
#25
I got it to build in Xcode but get this error message after it builds successfully though it just hangs on the starting screen.

dyld: Library not loaded: @executable_path/Frameworks/libsmbclient.dylib.0
Referenced from: /private/var/mobile/Containers/Bundle/Application/85CEC92C-DB20-4CFF-B617-29F11D19935B/XBMC.app/XBMC
Reason: no suitable image found. Did find:
/private/var/mobile/Containers/Bundle/Application/85CEC92C-DB20-4CFF-B617-29F11D19935B/XBMC.app/Frameworks/libsmbclient.dylib.0: mmap() error 1 at address=0x0379D000, size=0x003BE000 segment=__TEXT in Segment::map() mapping /private/var/mobile/Containers/Bundle/Application/85CEC92C-DB20-4CFF-B617-29F11D19935B/XBMC.app/Frameworks/libsmbclient.dylib.0
/private/var/mobile/Containers/Bundle/Application/85CEC92C-DB20-4CFF-B617-29F11D19935B/XBMC.app/Frameworks/libsmbclient.dylib.0: mmap() error 1 at address=0x03CFF000, size=0x003BE000 segment=__TEXT in Segment::map() mapping /private/var/mobile/Containers/Bundle/Application/85CEC92C-DB20-4CFF-B617-29F11D19935B/XBMC.app/Frameworks/libsmbclient.dylib.0
Reply
#26
Ensure that all depends are built properly ("cd tools/depends && make")
AppleTV4/iPhone/iPod/iPad: HowTo find debug logs and everything else which the devs like so much: click here
HowTo setup NFS for Kodi: NFS (wiki)
HowTo configure avahi (zeroconf): Avahi_Zeroconf (wiki)
READ THE IOS FAQ!: iOS FAQ (wiki)
Reply
#27
(2013-11-21, 23:22)Memphiz Wrote: this might btw be your problem - the normal xcode signing is not enough for xbmc - it needs to be the signing we do in the after build step from xcode - just set your signingidentity in our xcode project and it should work automagically (and just deploy the resulting app by dragging it onto the iDevice in the organizer).

Hi, can you tell me how to sign all libs? I use patched Codesign.command included in tools/darwin/Support/ but i get same error.

Thanks.

dyld: Library not loaded: @executable_path/Frameworks/libsmbclient.dylib
Referenced from: /var/mobile/Containers/Bundle/Application/876DDB7E-F80B-47A8-81F7-0A08E4CD63BA/Kodi.app/Kodi
Reason: no suitable image found. Did find:
/var/mobile/Containers/Bundle/Application/876DDB7E-F80B-47A8-81F7-0A08E4CD63BA/Kodi.app/Frameworks/libsmbclient.dylib: mmap() error 1 at address=0x04A6C000, size=0x003C4000 segment=__TEXT in Segment::map() mapping /var/mobile/Containers/Bundle/Application/876DDB7E-F80B-47A8-81F7-0A08E4CD63BA/Kodi.app/Frameworks/libsmbclient.dylib
/private/var/mobile/Containers/Bundle/Application/876DDB7E-F80B-47A8-81F7-0A08E4CD63BA/Kodi.app/Frameworks/libsmbclient.dylib: mmap() error 1 at address=0x04FD8000, size=0x003C4000 segment=__TEXT in Segment::map() mapping /private/var/mobile/Containers/Bundle/Application/876DDB7E-F80B-47A8-81F7-0A08E4CD63BA/Kodi.app/Frameworks/libsmbclient.dylib
Reply



Logout Mark Read Team Forum Stats Members Help
XBMC on iPhone iOS 7.x0
This forum uses Lukasz Tkacz MyBB addons.